Creating and destroying a decoder
Decoding of multimedia streams

## Typedefs

typedef struct bgav_s | bgav_t
| Opaque decoder structure. More...

## Functions

BGAV_PUBLIC bgav_t * | bgav_create ()
| Create a decoder instance. More...
BGAV_PUBLIC void | bgav_close (bgav_t *bgav)
| Close a decoder and free all associated memory. More...
BGAV_PUBLIC const gavl_dictionary_t * | bgav_get_edl (bgav_t *bgav)
| Get an EDL from an open decoder. More...

## Detailed Description

## Typedef Documentation

## bgav_t

typedef struct bgav_s bgav_t

Opaque decoder structure.

You don't want to know, what's inside here

## Function Documentation

## bgav_create()

BGAV_PUBLIC bgav_t* bgav_create | ( |  | ) |

Create a decoder instance.

Returns
  A newly allocated decoder instance

## bgav_close()

BGAV_PUBLIC void bgav_close | ( | bgav_t * | bgav | ) |

Close a decoder and free all associated memory.

Parameters

  bgav | A decoder instance

## bgav_get_edl()

BGAV_PUBLIC const gavl_dictionary_t* bgav_get_edl | ( | bgav_t * | bgav | ) |

Get an EDL from an open decoder.

Parameters

  bgav | A decoder instance

Returns
  The edl or NULL